Downgrading VSCode extension

to be always up-to-date is good but there's should be options for downgrading for case that there's breaking changes or there's bug that prevents you to using it.

For VSCode, there's no way to do it by default!

but as programmer, we usually don't use something default, we need custom, we need ability to bypass. so here is a way to do it in VSCode!

for example, I want to downgrade vscode-reason.

  1. turn-off the auto-update

2. download .vsix file from source, ex: https://github.com/jaredly/reason-language-server/releases/tag/1.4.1

3. cmd + shift + p -> install from VSIX

SOLVED!

Show Comments